# Class NoOpTokenCache

java.lang.Object
com.databricks.jdbc.auth.NoOpTokenCache

All Implemented Interfaces:
  `com.databricks.sdk.core.oauth.TokenCache`

public class NoOpTokenCache extends Object implements com.databricks.sdk.core.oauth.TokenCache
A no-operation implementation of TokenCache that does nothing. Used when token caching is explicitly disabled.

## Constructor Summary

Constructors
Constructor
Description
`NoOpTokenCache()`

## Method Summary

Modifier and Type
Method
Description
`com.databricks.sdk.core.oauth.Token`
`load()`
`void`
`save(com.databricks.sdk.core.oauth.Token token)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoOpTokenCache

public NoOpTokenCache()

## Method Details

### save

public void save(com.databricks.sdk.core.oauth.Token token)

Specified by:
  `save` in interface `com.databricks.sdk.core.oauth.TokenCache`

### load

public com.databricks.sdk.core.oauth.Token load()

Specified by:
  `load` in interface `com.databricks.sdk.core.oauth.TokenCache`